import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class FileDialogEx {
	private JLabel lblFileName;

	public static void main(String[] args) {
		Runnable r = new Runnable() {

			@Override
			public void run() {
				new FileDialogEx().createUI();
			}
		};

		EventQueue.invokeLater(r);
	}

	private void createUI() {
		JFrame frame = new JFrame();
		frame.setLayout(new BorderLayout());

		JButton saveBtn = new JButton("Enregistrer");
		JButton openBtn = new JButton("Ouvrir");

		saveBtn.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent evt) {
				JFileChooser saveFile = new JFileChooser();
				int returnVal = saveFile.showSaveDialog(null);
				if (returnVal == JFileChooser.APPROVE_OPTION) {
					lblFileName.setText(saveFile.getSelectedFile().getName());
				} else if (returnVal == JFileChooser.CANCEL_OPTION) {
					lblFileName.setText("Annulation");
				}
			}
		});

		openBtn.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent evt) {
				JFileChooser openFile = new JFileChooser();
				openFile.showOpenDialog(null);
			}
		});

		frame.add(lblFileName = new JLabel("Pas de fichier sélectionné"), BorderLayout.NORTH);
		frame.add(saveBtn, BorderLayout.CENTER);
		frame.add(openBtn, BorderLayout.SOUTH);
		frame.setTitle("File Dialogs");
		frame.pack();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}
