package controller;

/**
 * La classe EcouteurCrayon implante les méthodes correspondant
 * aux événements souris et déplacement de la souris
 * pour dessiner des segments les uns à la suite des autres.
 */

import java.awt.event.MouseEvent;

import model.Trace;

public class EcouteurCrayon extends EcouteurSouris {
	private int xd, yd;
	private Trace trace;

	public EcouteurCrayon(MainController mainController) {
		super(mainController);
		// TODO Auto-generated constructor stub
	}

	/* en tant que MouseListener */
	public void mousePressed(MouseEvent e) {
		xd = e.getX();
		yd = e.getY();
		trace = new Trace(xd, yd);
		trace.setThick(mainController.getThick());
		mainController.setDirty(true);
		mainController.getDessin().ajoute(trace);
	}

	/* en tant que MouseMotionListener */
	public void mouseDragged(MouseEvent e) {
		int x, y;
		x = e.getX();
		y = e.getY();
		trace.ajoute(x, y);
		mainController.getZoneDeDessin().dessineTrait(xd, yd, x, y);
		xd = x;
		yd = y;
	}
}
