package controller;

/**
 * La classe EcouteurEtoile implante les méthodes correspondant
 * aux événements souris et déplacement de la souris
 * pour dessiner des segments ayant tous une extrémité en commun.
 */

import java.awt.event.MouseEvent;

import model.Etoile;

public class EcouteurEtoile extends EcouteurSouris {
	private int xc, yc;
	private Etoile etoile;

	public EcouteurEtoile(MainController mainController) {
		super(mainController);
		// TODO Auto-generated constructor stub
	}

	/* en tant que MouseListener */
	public void mousePressed(MouseEvent e) {
		xc = e.getX();
		yc = e.getY();
		etoile = new Etoile(xc, yc);
		etoile.setThick(mainController.getThick());
		mainController.setDirty(true);
		mainController.getDessin().ajoute(etoile);
	}

	/* en tant que MouseMotionListener */
	public void mouseDragged(MouseEvent e) {
		int x, y;
		x = e.getX();
		y = e.getY();
		etoile.ajoute(x, y);
		mainController.getZoneDeDessin().dessineTrait(xc, yc, x, y);
	}
}
