package technics;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import model.Dessin;

public class DessinDAOStream implements IDessinDAO {
	private String fileName;

	public DessinDAOStream(String fileName) {
		super();
		this.fileName = fileName;
	}

	@Override
	public void write(Dessin dessin) throws IOException {
		ObjectOutputStream oos = null;
		try {
			FileOutputStream fichier = new FileOutputStream(fileName, false);
			oos = new ObjectOutputStream(fichier);
			oos.writeObject(dessin);
			oos.flush();
		} finally {
			oos.close();
		}
	}

	public String getFileName() {
		return fileName;
	}

	@Override
	public Dessin read() throws IOException, ClassNotFoundException {
		ObjectInputStream ois = null;
		Dessin dessin = new Dessin();
		try {
			FileInputStream fichier = new FileInputStream(fileName);
			ois = new ObjectInputStream(fichier);
			dessin = (Dessin) ois.readObject();
		} finally {
			ois.close();
		}
		return dessin;
	}

	@Override
	public String toString() {
		return fileName;
	}

}
