package view;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSlider;

public class PenSizeAndColorDialog extends JDialog {
	private static final long serialVersionUID = 1L;
	private static PenSizeAndColorDialog instance = null;
	private JSlider sliderValue;
	private JButton btOkay, btCancel;
	private boolean validated;

	private PenSizeAndColorDialog() {
		super((Frame) null, "Epaisseur de pinceau", true);
		setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent we) {
				btCancelAction();
			}
		});
		setSize(300, 150);
		setResizable(false);
		getContentPane().setLayout(new BorderLayout(0, 0));
		JPanel inputPanel = new JPanel(new FlowLayout(FlowLayout.CENTER, 10, 10));
		JLabel label = new JLabel("Valeur :");
		label.setFont(new Font("Tahoma", Font.BOLD, 11));
		inputPanel.add(label);
		sliderValue = new JSlider(1, 9, 1);
		sliderValue.setMinorTickSpacing(1);
		sliderValue.setMajorTickSpacing(1);
		sliderValue.setPaintTicks(true);
		sliderValue.setPaintLabels(true);
		sliderValue.setFont(new Font("Segoe UI", Font.PLAIN, 11));
		inputPanel.add(sliderValue);
		getContentPane().add(inputPanel, BorderLayout.NORTH);
		btOkay = new JButton("Valider");
		btOkay.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				btOkayAction();
			}
		});
		btCancel = new JButton("Annuler");
		btCancel.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				btCancelAction();
			}
		});
		getRootPane().setDefaultButton(btOkay);
		JPanel buttonsPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT, 10, 10));
		buttonsPanel.setBackground(Color.WHITE);
		buttonsPanel.add(btOkay);
		buttonsPanel.add(btCancel);
		getContentPane().add(buttonsPanel, BorderLayout.SOUTH);
	}

	private void btOkayAction() {
		validated = true;
		setVisible(false);
	}

	private void btCancelAction() {
		validated = false;
		setVisible(false);
	}

	public static boolean openDialog() { // FenetreDeDessin uneVue) {
		if (instance == null)
			instance = new PenSizeAndColorDialog();
		instance.setLocationRelativeTo(null);
		instance.sliderValue.requestFocus();
		instance.setVisible(true);
		return instance.validated;
	}

	public static int getValue() {
		return instance.sliderValue.getValue();
	}
}
